<?php
// $Id: views-view-jquery-visualize.tpl.php,v 1.1 2009/08/03 05:29:50 javier Exp $
/**
 * @file views-view-jquery-visualize.tpl.php
 * Template to display a view as a table and a graph
 *
 * The first column of the table header needs to be a "td" and the first column of each row of data a "th"
 *
 * - $title : The title of this group of rows.  May be empty.
 * - $header: An array of header labels keyed by field id.
 * - $fields: An array of CSS IDs to use for each field id.
 * - $class: A class or classes to apply to the table, based on settings.
 * - $row_classes: An array of classes to apply to each row, indexed by row
 *   number. This matches the index in $rows.
 * - $rows: An array of row items. Each row is an array of content.
 *   $rows are keyed by row number, fields within rows are keyed by field ID.
 * - $hide_table: boolean
 * - $col_type: used for printing the "th" in the first column of each row
 * - $new_visualize_options: options for each particularly Views display
 * - $view_name: the name of the current view
 * - $current_display: the name of the current display
 * @ingroup views_templates
 */
?>
<table class="graph <?php print $class; ?>" style="<?php print $hide_table?'display:none':'' ?>">
  <?php if (!empty($title)) : ?>
    <caption>asd<?php print $title; ?></caption>
  <?php endif; ?>
  <thead>
    <tr>
	  <?php $col_type = 'td' ?>
      <?php foreach ($header as $field => $label): ?>
        <<?php print $col_type ?> class="views-field views-field-<?php print $fields[$field]; ?>">
          <?php print $label; ?>
        </<?php print $col_type ?>>
		<?php $col_type='th' ?>
      <?php endforeach; ?>
    </tr>
  </thead>
  <tbody>
    <?php foreach ($rows as $count => $row): ?>
      <tr class="<?php print implode(' ', $row_classes[$count]); ?>">
		<?php $col_type = 'th' ?>
        <?php foreach ($row as $field => $content): ?>
          <<?php print $col_type ?> class="views-field views-field-<?php print $fields[$field]; ?>">
            <?php print $content; ?>
          </<?php print $col_type ?>>
		  <?php $col_type='td' ?>
        <?php endforeach; ?>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>
<script type="text/javascript">
   <?php print $new_visualize_options?>;
  $(".<?php print $view_name.'-'.$current_display.'-graph'; ?>").visualize(Drupal.settings.jqueryVisualize['<?php print $view_name.'-'.$current_display?>']);
</script>